# Xapian::ExpandDeciderFilterTerms Class Reference

ExpandDecider subclass which rejects terms in a specified list. More...

`#include <expanddecider.h>`

Inheritance diagram for Xapian::ExpandDeciderFilterTerms:

[legend]
Collaboration diagram for Xapian::ExpandDeciderFilterTerms:

[legend]
List of all members.

## Public Member Functions

template<class Iterator>
| ExpandDeciderFilterTerms (Iterator reject_begin, Iterator reject_end)
| The two iterators specify a list of terms to be rejected.
virtual bool | operator() (const std::string &term) const
| Do we want this term in the ESet?

## Detailed Description

ExpandDecider subclass which rejects terms in a specified list.

ExpandDeciderFilterTerms provides an easy way to filter out terms from a fixed list when generating an ESet.

## Constructor & Destructor Documentation

template<class Iterator>

Xapian::ExpandDeciderFilterTerms::ExpandDeciderFilterTerms | ( | Iterator | reject_begin,
|  | Iterator | reject_end |
| ) |  |  | `[inline]`

The two iterators specify a list of terms to be rejected.

reject_begin and reject_end can be any input_iterator type which returns std::string or char * (e.g. TermIterator or char **).

## Member Function Documentation

virtual bool Xapian::ExpandDeciderFilterTerms::operator() | ( | const std::string & | term | ) | const`[virtual]`

Do we want this term in the ESet?

Implements Xapian::ExpandDecider.

The documentation for this class was generated from the following file:

- include/xapian/expanddecider.h